Subject: [alpine-aports] [PATCH] testing/pycairo: new aport

From: Alan Lacerda <[email-masked]>
Date: Wed, 27 May 2015 15:00:01 +0000

---
 testing/pycairo/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/pycairo/APKBUILD

diff --git a/testing/pycairo/APKBUILD b/testing/pycairo/APKBUILD
new file mode 100644
index 0000000..5b16b8d
--- /dev/null
+++ b/testing/pycairo/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Alan Lacerda <[email-masked]>
+# Maintainer:
+pkgname=pycairo
+pkgver=1.10.0
+pkgrel=0
+pkgdesc="A set of Python bindings for the cairo graphics library"
+url="http://cairographics.org/pycairo/"
+arch="all"
+license="MPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev python-dev cairo-dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://cairographics.org/releases/py2cairo-$pkgver.tar.bz2"
+
+_builddir="$srcdir/py2cairo-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./waf configure --prefix=/usr || return 1
+	./waf build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	DESTDIR="${pkgdir}" ./waf install || return 1
+}
+
+md5sums="20337132c4ab06c1146ad384d55372c5  py2cairo-1.10.0.tar.bz2"
+sha256sums="d30439f06c2ec1a39e27464c6c828b6eface3b22ee17b2de05dc409e429a7431  py2cairo-1.10.0.tar.bz2"
+sha512sums="cb3d54de9af4134460ce731da8166a3127a642c8a2e6184109437ddec115cd55b8dd2413a5c81700277bfe2f22fcfe268db4f3ba0f7649751e85bb34295f79fc  py2cairo-1.10.0.tar.bz2"
-- 
2.4.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---